## visad.data.fits
Class ConvertArray

    java.lang.Object
      visad.data.fits.ConvertArray

Direct Known Subclasses:
  ConvertDoubleArray

public abstract class ConvertArray
extends Object

Field Summary
`(package private) int[]` `lengths`

Constructor Summary
`ConvertArray()`

Method Summary
`(package private) abstract int` `analyzeArray()`
`(package private) int` `getArrayType(double min, double max, boolean integral)`
`GenericArrayConverter` `getConverter()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lengths

    int[] lengths

Constructor Detail

### ConvertArray

    public ConvertArray()

Method Detail

### getArrayType

    int getArrayType(double min,
                     double max,
                     boolean integral)

### analyzeArray

    abstract int analyzeArray()

### getConverter

    public GenericArrayConverter getConverter()